// file: $isip/class/pr/LanguageModelJSGF/lmjsgf_01.cc
// version: $Id: lmjsgf_01.cc 10226 2005-09-09 18:00:33Z wholland $

// ISIP include files
//
#include "LanguageModelJSGF.h"

// method: debug
//
// arguments:
//   const unichar* msg: (input) a message to display with the
//     member data information
//
// return: a boolean indicating status
//
boolean LanguageModelJSGF::debug(const unichar* msg_a) const {

  Console::increaseIndention();
  
  // output the contents of the start symbol
  //
  start_symbol_d.debug(L"start_symbol_d");
  
  // output the contents of the term symbol
  term_symbol_d.debug(L"term_symbol_d");

  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}

